FLAC 1.3.1

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
FLAC__StreamMetadata_SeekTable Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
unsigned | num_points
FLAC__StreamMetadata_SeekPoint * | points

## Detailed Description

FLAC SEEKTABLE structure. (c.f. format specification)

Note
  From the format specification:
  - The seek points must be sorted by ascending sample number.
  - Each seek point's sample number must be the first sample of the target frame.
  - Each seek point's sample number must be unique within the table.
  - Existence of a SEEKTABLE block implies a correct setting of total_samples in the stream_info block.
  - Behavior is undefined when more than one SEEKTABLE block is present in a stream.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2014 Xiph.Org Foundation |